package org.jeecg.modules.projectManagement.service;

import org.jeecg.modules.projectManagement.entity.FdProjectQuotationTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 项目报价选择的模板对照表
 * @author： gurui
 * @date：   2019-05-20
 * @version： V1.0
 */
public interface IFdProjectQuotationTemplateService extends IService<FdProjectQuotationTemplate> {

    void saveProjectQuotationTemplate(FdProjectQuotationTemplate fdProjectQuotationTemplate);

    void updateProjectQuotationTemplate(FdProjectQuotationTemplate fdProjectQuotationTemplate);

    void deleteProjectQuotationTemplate(String ids);

    List<FdProjectQuotationTemplate> getByQuotationId(String quotationId);

    List<FdProjectQuotationTemplate> getByQuotationId1(String quotationId);

    List<FdProjectQuotationTemplate> getTemplateAndItemsByQuotationId(String quotationId);
}
